thrift vulnerabilities

Thrift is a software framework for scalable cross-language services development.

Latest version 0.13.0
First published 9 years ago
Latest version published 3 days ago

Licenses detected

Continuously find & fix vulnerabilities like these in your dependencies. Test and protect your applications

Direct Vulnerabilities

Known vulnerabilities in the thrift package. This does not include vulnerabilities belonging to this package’s dependencies.

Vulnerability Vulnerable versions Snyk patch Published
  • H
Denial of Service (DoS)
<0.13.0 Not available 29 Oct, 2019
  • M
Improper Access Control
>=0.9.2 <0.11.0 Not available 17 Feb, 2019
Versions
Version Published Licenses Direct Vulnerabilities
thrift 0.13.0 Latest 18 Nov, 2019 Apache-2.0
  • 0 H
  • 0 M
  • 0 L
thrift 0.12.0 12 Feb, 2019 Apache-2.0
  • 1 H
  • 0 M
  • 0 L
thrift 0.11.0 15 Jan, 2018 Apache-2.0
  • 1 H
  • 0 M
  • 0 L
thrift 0.10.0 01 Feb, 2017 Apache-2.0
  • 1 H
  • 1 M
  • 0 L
thrift 0.9.3 12 Oct, 2015 Apache-2.0
  • 1 H
  • 1 M
  • 0 L
thrift 0.9.2 14 Nov, 2014 Apache-2.0
  • 1 H
  • 1 M
  • 0 L
thrift 0.9.1 22 Aug, 2013 Apache-2.0
  • 1 H
  • 0 M
  • 0 L
thrift 0.9.0 18 Jun, 2013 Apache-2.0
  • 1 H
  • 0 M
  • 0 L
thrift 0.8.0 18 Jun, 2013 Apache-2.0
  • 1 H
  • 0 M
  • 0 L
thrift 0.7.0 17 Aug, 2011 Apache-2.0
  • 1 H
  • 0 M
  • 0 L
thrift 0.6.0-1 Pre-release 28 Feb, 2011 Unknown
  • 1 H
  • 0 M
  • 0 L
thrift 0.6.0 08 Feb, 2011 Unknown
  • 1 H
  • 0 M
  • 0 L
thrift 0.2.2 14 Jan, 2011 Unknown
  • 1 H
  • 0 M
  • 0 L
thrift 0.2.1 03 Jan, 2011 Unknown
  • 1 H
  • 0 M
  • 0 L